.TH MARK_DIRECT_CALLS 1 "Jul 25 1995" "Stanford" "SUIF Compiler"
.SH NAME
mark_direct_calls \- mark procedures used only in direct calls
.SH SYNOPSIS
.B mark_direct_calls
.I infile
.I outfile
{
.I infile
.I outfile
}*
.SH DESCRIPTION
The
.I mark_direct_calls
program adds k_direct_calls_only annotations for all proc_syms for
which it can be guaranteed that all calls to the procedure will be
through call instructions in the current fileset that directly use the
address of the proc_sym, never indirectly through a pointer to a
procedure.  This allows other programs to know that they can be
guaranteed of finding all call sites for the procedure.
.SH HISTORY
This program was written by Chris Wilson.
